(function ($, Drupal) {
  Drupal.behaviors.expandcollapse = {
    attach: function (context, settings) {
      $(document).ready(function(){

        $('.uw-expand-collapse').each(function() {

          // Get the id of the expand collapse.
          var id = '#uw-expand-collapse-' + $(this).data('id');

          // When the expand all button is clicked, expand all the items.
          $(id + ' [data-type="expand-all"]').click(function() {

            // Find each of the buttons, which are the titles and change
            // aria-expanded and add class to show expanded.
            $(id + ' .uw-expand-collapse__items button').each(function() {
              $(this).attr('aria-expanded', true);
              $(this).addClass('uw-expanded');
            });

            // Find each of the text and add css to display them.
            $(id + ' .uw-expand-collapse__items .uw-expand-collapse__text').each(function() {
              $(this).css('display', 'block');
            });
          });

          // When the collapse all button is clicked, collapse all the items.
          $(id + ' [data-type="collapse-all"]').click(function() {

            // Find each of the buttons, which are the titles and change
            // aria-expanded and remove class to show collapsed.
            $(id + ' .uw-expand-collapse__items button').each(function() {
              $(this).attr('aria-expanded', true);
              $(this).removeClass('uw-expanded');
            });

            // Find each of the text and add css to display them.
            $(id + ' .uw-expand-collapse__items .uw-expand-collapse__text').each(function() {
              $(this).css('display', 'none');
            });
          });

          // Step through each of the titles and add a click function.
          $(id + ' .uw-expand-collapse__items button').click(function() {

            // If this has an expanded class, remove it and change aria expanded to false.
            // Otherwise add the expanded class and set aria-expanded to true.
            if ($(this).hasClass('uw-expanded')) {
              $(this).attr('aria-expanded', false);
              $(this).removeClass('uw-expanded');
            }
            else {
              $(this).attr('aria-expanded', true);
              $(this).addClass('uw-expanded');
            }

            // Toggle the text to show/hide.
            $(this).parent().parent().find('.uw-expand-collapse__text').toggle();
          })
        });

      });
    }
  };
})(jQuery, Drupal);
